## gnomevfssink gnomevfssink — Write a stream to a GnomeVFS URI |

## Synopsis

                        GstGnomeVFSSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstGnomeVFSSink

## Implemented Interfaces

GstGnomeVFSSink implements GstURIHandler.

## Properties

      "handle"                   GnomeVFSHandle*       : Read / Write
      "location"                 gchar*                : Read / Write
      "uri"                      GnomeVFSURI*          : Read / Write

## Signals

      "allow-overwrite"                                : Cleanup

## Description

This plugin writes incoming data to a local or remote location specified by an URI. This location can be specified using any protocol supported by the GnomeVFS library. Common protocols are 'file', 'ftp', or 'smb'.

Applications can connect to the "allow-overwrite" signal to receive a callback when an existing file will be overwritten. The return value of the signal will determine if gnomevfssink will overwrite the resource or abort with an error.

### Example launch lines

    gst-launch -v filesrc location=input.xyz ! gnomevfssink location=file:///home/joe/out.xyz

The above pipeline will simply copy a local file. Instead of gnomevfssink, we could just as well have used the filesink element here.

    gst-launch -v filesrc location=foo.mp3 ! mad ! flacenc ! gnomevfssink location=smb://othercomputer/foo.flac

The above pipeline will re-encode an mp3 file into FLAC format and store it on a remote host using the Samba protocol.

Last reviewed on 2006-02-28 (0.10.4)

## Synopsis

### Element Information

plugin | gnomevfs
author | Bastien Nocera <hadess@hadess.net>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstGnomeVFSSink

    typedef struct _GstGnomeVFSSink GstGnomeVFSSink;

Opaque data structure.

## Property Details

### The `"handle"` property

      "handle"                   GnomeVFSHandle*       : Read / Write

Handle for GnomeVFS.

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the file to write.

Default value: NULL

### The `"uri"` property

      "uri"                      GnomeVFSURI*          : Read / Write

URI for GnomeVFS.

## Signal Details

### The `"allow-overwrite"` signal

    gboolean            user_function                      (GstGnomeVFSSink *sink,
                                                            GnomeVFSURI     *uri,
                                                            gpointer         user_data)      : Cleanup

This signal is fired when gnomevfssink is about to overwrite an existing resource. The application can connect to this signal and ask the user if the resource may be overwritten.

`sink` : | the object which received the signal
`uri` : | the URI to be overwritten
`user_data` : | user data set when the signal handler was connected.
Returns : | A boolean indicating that the resource may be overwritten.

## See Also

#GstFileSink, GstGnomeVFSSrc